## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csHashComputer< T > Class Template Reference
[Containers]

Template for hash value computing. More...

`#include <csutil/hash.h>`

List of all members.

## Static Public Member Functions

static uint | ComputeHash (const T &key)
| Compute a hash value for key.

## Detailed Description

### template<class T>
class csHashComputer< T >

Template for hash value computing.

Expects that T has a method 'uint GetHash() const'.

Definition at line 55 of file hash.h.

## Member Function Documentation

template<class T>
static uint csHashComputer< T >::ComputeHash | ( | const T & | key | ) | `[inline, static]`

Compute a hash value for key.

Definition at line 59 of file hash.h.

Referenced by csHash< csHandlerID, csRef< iEventHandler > >::Contains(), csHash< csHandlerID, csRef< iEventHandler > >::Delete(), csHash< csHandlerID, csRef< iEventHandler > >::DeleteAll(), csHash< csHandlerID, csRef< iEventHandler > >::Get(), csHash< csHandlerID, csRef< iEventHandler > >::GetAll(), csHash< csHandlerID, csRef< iEventHandler > >::GetElementPointer(), csHash< csHandlerID, csRef< iEventHandler > >::Put(), and csHash< csHandlerID, csRef< iEventHandler > >::PutUnique().

The documentation for this class was generated from the following file:

- csutil/hash.h